The officially official Devuan Forum!

You are not logged in.

#1 2017-12-06 15:35:11

tlathm
Member
Registered: 2017-11-25
Posts: 15

No libstdc++5:i386 package?

I'm trying to get an old CLI utility working in Jessie that requires a 32bit libstdc++5. Am I missing something or is that not available?:

apt install libstdc++5:i386
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libstdc++5
E: Couldn't find any package by regex 'libstdc++5'

Thanks in advance!

Tom

Offline

#2 2017-12-06 15:53:40

tlathm
Member
Registered: 2017-11-25
Posts: 15

Re: No libstdc++5:i386 package?

I actually was able to get the cli working by manually installing the library extracted from the downloaded deb file as described here:

https://preterhuman.net/forum/index.php?topic=98.0

...but that seems more than a little ugly. Still wondering if there's a better way. I noticed looking at the package details:

https://packages.debian.org/jessie/libstdc%2B%2B5

...that it appears to require an i386 libc6 >= 2.3, and I see that my install appears to have libc6-i386 2.19. Maybe that's related(??), though this seems to work.

Tom

Offline

#3 2017-12-06 16:22:22

chillfan
Member
Registered: 2016-12-01
Posts: 32

Re: No libstdc++5:i386 package?

It's not available in the Jessie release, but is available in ASCII. In general it's not recommended to mix repos, but you could try apt pinning if you need to this.

See https://wiki.debian.org/AptPreferences

Last edited by chillfan (2017-12-06 16:23:59)

Online

#4 2017-12-06 21:20:27

tlathm
Member
Registered: 2017-11-25
Posts: 15

Re: No libstdc++5:i386 package?

Thanks! I'll look into that. It appears it might be overkill given the situation. Manually adding that library does get this CLI working, and frankly this CLI is for a very rare corner case that out product arguably shouldn't even be supporting at the moment.

Thanks again.
Tom

Offline

Board footer